Package org.eclipse.cdt.core.parser

## Class Keywords

- java.lang.Object
- - org.eclipse.cdt.core.parser.Keywords

    public class Keywords
    extends Object

Restriction:
  This class is not intended to be subclassed by clients.
Restriction:
  This class is not intended to be instantiated by clients.

### Field Summary

Fields
`static String` `_ALIGNAS`
`static String` `_ALIGNOF`
`static String` `_BOOL`
`static String` `_COMPLEX`
`static String` `_IMAGINARY`
`static char[]` `_Pragma`
`static String` `ALIGNAS`
`static String` `ALIGNOF`
`static String` `AND`
`static String` `AND_EQ`
`static String` `ASM`
`static String` `AUTO`
`static String` `BITAND`
`static String` `BITOR`
`static String` `BOOL`
`static String` `BREAK`
`static char[]` `c__HAS_FEATURE`
`static char[]` `c__HAS_INCLUDE`
`static char[]` `c__HAS_INCLUDE_NEXT`
`static char[]` `c_ALIGNAS`
`static char[]` `c_ALIGNOF`
`static char[]` `c_BOOL`
`static char[]` `c_COMPLEX`
`static char[]` `c_IMAGINARY`
`static char[]` `cALIGNAS`
`static char[]` `cALIGNOF`
`static char[]` `cAND`
`static char[]` `cAND_EQ`
`static String` `CASE`
`static char[]` `cASM`
`static char[]` `cASSERT`
`static String` `CAST`
`static String` `CATCH`
`static char[]` `cAUTO`
`static char[]` `cBITAND`
`static char[]` `cBITOR`
`static char[]` `cBOOL`
`static char[]` `cBREAK`
`static char[]` `cCASE`
`static char[]` `cCATCH`
`static char[]` `cCHAR`
`static char[]` `cCHAR16_T`
`static char[]` `cCHAR32_T`
`static char[]` `cCLASS`
`static char[]` `cCOMPL`
`static char[]` `cCONST`
`static char[]` `cCONST_CAST`
`static char[]` `cCONSTEXPR`
`static char[]` `cCONTINUE`
`static char[]` `cDECLTYPE`
`static char[]` `cDEFAULT`
`static char[]` `cDEFINE`
`static char[]` `cDEFINED`
`static char[]` `cDELETE`
`static char[]` `cDO`
`static char[]` `cDOUBLE`
`static char[]` `cDYNAMIC_CAST`
`static char[]` `cELIF`
`static char[]` `cELSE`
`static char[]` `cENDIF`
`static char[]` `cENUM`
`static char[]` `cERROR`
`static char[]` `cEXPLICIT`
`static char[]` `cEXPORT`
`static char[]` `cEXTERN`
`static char[]` `cFALSE`
`static char[]` `cFINAL`
`static char[]` `cFLOAT`
`static char[]` `cFOR`
`static char[]` `cFRIEND`
`static char[]` `cGOTO`
`static String` `CHAR`
`static String` `CHAR16_T`
`static String` `CHAR32_T`
`static char[]` `cIDENT`
`static char[]` `cIF`
`static char[]` `cIFDEF`
`static char[]` `cIFNDEF`
`static char[]` `cIMPORT`
`static char[]` `cINCLUDE`
`static char[]` `cINCLUDE_NEXT`
`static char[]` `cINLINE`
`static char[]` `cINT`
`static String` `CLASS`
`static char[]` `cLINE`
`static char[]` `cLONG`
`static char[]` `cMUTABLE`
`static char[]` `cNAMESPACE`
`static char[]` `cNEW`
`static char[]` `cNOEXCEPT`
`static char[]` `cNOT`
`static char[]` `cNOT_EQ`
`static char[]` `cNULLPTR`
`static String` `COMPL`
`static String` `CONST`
`static String` `CONST_CAST`
`static String` `CONSTEXPR`
`static String` `CONTINUE`
`static char[]` `cOPERATOR`
`static char[]` `cOR`
`static char[]` `cOR_EQ`
`static char[]` `cOVERRIDE`
`static char[]` `cpAMPER`
`static char[]` `cpAMPERASSIGN`
`static char[]` `cpAND`
`static char[]` `cpARROW`
`static char[]` `cpARROWSTAR`
`static char[]` `cpASSIGN`
`static char[]` `cpBITOR`
`static char[]` `cpBITORASSIGN`
`static char[]` `cpCOLON`
`static char[]` `cpCOLONCOLON`
`static char[]` `cpCOMMA`
`static char[]` `cpCOMPL`
`static char[]` `cpDECR`
`static char[]` `cpDIV`
`static char[]` `cpDIVASSIGN`
`static char[]` `cpDOT`
`static char[]` `cpDOTSTAR`
`static char[]` `cpELLIPSIS`
`static char[]` `cpEQUAL`
`static char[]` `cpGT`
`static char[]` `cpGTEQUAL`
`static char[]` `cpINCR`
`static char[]` `cpLBRACE`
`static char[]` `cpLBRACKET`
`static char[]` `cpLPAREN`
`static char[]` `cpLT`
`static char[]` `cpLTEQUAL`
`static char[]` `cpMAX`
`static char[]` `cpMIN`
`static char[]` `cpMINUS`
`static char[]` `cpMINUSASSIGN`
`static char[]` `cpMOD`
`static char[]` `cpMODASSIGN`
`static char[]` `cpNOT`
`static char[]` `cpNOTEQUAL`
`static char[]` `cpOR`
`static char[]` `cpPLUS`
`static char[]` `cpPLUSASSIGN`
`static char[]` `cpPOUND`
`static char[]` `cpPOUNDPOUND`
`static char[]` `cpQUESTION`
`static char[]` `cPRAGMA`
`static char[]` `cpRBRACE`
`static char[]` `cpRBRACKET`
`static char[]` `cPRIVATE`
`static char[]` `cPROTECTED`
`static char[]` `cpRPAREN`
`static char[]` `cpSEMI`
`static char[]` `cpSHIFTL`
`static char[]` `cpSHIFTLASSIGN`
`static char[]` `cpSHIFTR`
`static char[]` `cpSHIFTRASSIGN`
`static char[]` `cpSTAR`
`static char[]` `cpSTARASSIGN`
`static char[]` `cPUBLIC`
`static char[]` `cpXOR`
`static char[]` `cpXORASSIGN`
`static char[]` `cREGISTER`
`static char[]` `cREINTERPRET_CAST`
`static char[]` `cRESTRICT`
`static char[]` `cRETURN`
`static char[]` `cSCCS`
`static char[]` `cSHORT`
`static char[]` `cSIGNED`
`static char[]` `cSIZEOF`
`static char[]` `cSIZEOFPACK`
`static char[]` `cSTATIC`
`static char[]` `cSTATIC_ASSERT`
`static char[]` `cSTATIC_CAST`
`static char[]` `cSTRUCT`
`static char[]` `cSWITCH`
`static char[]` `cTEMPLATE`
`static char[]` `cTHIS`
`static char[]` `cTHREAD_LOCAL`
`static char[]` `cTHROW`
`static char[]` `cTRUE`
`static char[]` `cTRY`
`static char[]` `cTYPEDEF`
`static char[]` `cTYPEID`
`static char[]` `cTYPENAME`
`static char[]` `cUNASSERT`
`static char[]` `cUNDEF`
`static char[]` `cUNION`
`static char[]` `cUNSIGNED`
`static char[]` `cUSING`
`static char[]` `cVA_ARGS`
`static char[]` `cVIRTUAL`
`static char[]` `cVOID`
`static char[]` `cVOLATILE`
`static char[]` `cWARNING`
`static char[]` `cWCHAR_T`
`static char[]` `cWHILE`
`static char[]` `cXOR`
`static char[]` `cXOR_EQ`
`static String` `DECLTYPE`
`static String` `DEFAULT`
`static String` `DELETE`
`static String` `DO`
`static String` `DOUBLE`
`static String` `DYNAMIC_CAST`
`static String` `ELSE`
`static String` `ENUM`
`static String` `EXPLICIT`
`static String` `EXPORT`
`static String` `EXTERN`
`static String` `FALSE`
`static String` `FINAL`
`static String` `FLOAT`
`static String` `FOR`
`static String` `FRIEND`
`static String` `GOTO`
`static String` `IF`
`static String` `INLINE`
`static String` `INT`
`static String` `LONG`
`static String` `LONG_LONG`
`static String` `MUTABLE`
`static String` `NAMESPACE`
`static String` `NEW`
`static String` `NOEXCEPT`
`static String` `NOT`
`static String` `NOT_EQ`
`static String` `NULLPTR`
`static String` `OPERATOR`
`static String` `OR`
`static String` `OR_EQ`
`static String` `OVERRIDE`
`static String` `PRIVATE`
`static String` `PROTECTED`
`static String` `PUBLIC`
`static String` `REGISTER`
`static String` `REINTERPRET_CAST`
`static String` `RESTRICT`
`static String` `RETURN`
`static String` `SHORT`
`static String` `SIGNED`
`static String` `SIZEOF`
`static String` `STATIC`
`static String` `STATIC_ASSERT`
`static String` `STATIC_CAST`
`static String` `STRUCT`
`static String` `SWITCH`
`static String` `TEMPLATE`
`static String` `THIS`
`static String` `THREAD_LOCAL`
`static String` `THROW`
`static String` `TRUE`
`static String` `TRY`
`static String` `TYPEDEF`
`static String` `TYPEID`
`static String` `TYPENAME`
`static String` `TYPEOF`
`static String` `UNION`
`static String` `UNSIGNED`
`static String` `USING`
`static String` `VIRTUAL`
`static String` `VOID`
`static String` `VOLATILE`
`static String` `WCHAR_T`
`static String` `WHILE`
`static String` `XOR`
`static String` `XOR_EQ`

### Constructor Summary

Constructors
`Keywords()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `addKeywordsC​(CharArrayIntMap kw)`
`static void` `addKeywordsCpp​(CharArrayIntMap kw)`
`static void` `addKeywordsPreprocessor​(CharArrayIntMap ppKeywords)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### CAST

    public static final String CAST

See Also:
  Constant Field Values

#### ALIGNAS

    public static final String ALIGNAS

Since:
  5.4
See Also:
  Constant Field Values

#### ALIGNOF

    public static final String ALIGNOF

See Also:
  Constant Field Values

#### TYPEOF

    public static final String TYPEOF

See Also:
  Constant Field Values

#### _BOOL

    public static final String _BOOL

See Also:
  Constant Field Values

#### _COMPLEX

    public static final String _COMPLEX

See Also:
  Constant Field Values

#### _IMAGINARY

    public static final String _IMAGINARY

See Also:
  Constant Field Values

#### _ALIGNAS

    public static final String _ALIGNAS

Since:
  5.10
See Also:
  Constant Field Values

#### _ALIGNOF

    public static final String _ALIGNOF

Since:
  5.10
See Also:
  Constant Field Values

#### AND

    public static final String AND

See Also:
  Constant Field Values

#### AND_EQ

    public static final String AND_EQ

See Also:
  Constant Field Values

#### ASM

    public static final String ASM

See Also:
  Constant Field Values

#### AUTO

    public static final String AUTO

See Also:
  Constant Field Values

#### BITAND

    public static final String BITAND

See Also:
  Constant Field Values

#### BITOR

    public static final String BITOR

See Also:
  Constant Field Values

#### BOOL

    public static final String BOOL

See Also:
  Constant Field Values

#### BREAK

    public static final String BREAK

See Also:
  Constant Field Values

#### CASE

    public static final String CASE

See Also:
  Constant Field Values

#### CATCH

    public static final String CATCH

See Also:
  Constant Field Values

#### CHAR

    public static final String CHAR

See Also:
  Constant Field Values

#### CHAR16_T

    public static final String CHAR16_T

Since:
  5.2
See Also:
  Constant Field Values

#### CHAR32_T

    public static final String CHAR32_T

Since:
  5.2
See Also:
  Constant Field Values

#### CLASS

    public static final String CLASS

See Also:
  Constant Field Values

#### COMPL

    public static final String COMPL

See Also:
  Constant Field Values

#### CONST

    public static final String CONST

See Also:
  Constant Field Values

#### CONSTEXPR

    public static final String CONSTEXPR

Since:
  5.4
See Also:
  Constant Field Values

#### CONST_CAST

    public static final String CONST_CAST

See Also:
  Constant Field Values

#### CONTINUE

    public static final String CONTINUE

See Also:
  Constant Field Values

#### DECLTYPE

    public static final String DECLTYPE

Since:
  5.2
See Also:
  Constant Field Values

#### DEFAULT

    public static final String DEFAULT

See Also:
  Constant Field Values

#### DELETE

    public static final String DELETE

See Also:
  Constant Field Values

#### DO

    public static final String DO

See Also:
  Constant Field Values

#### DOUBLE

    public static final String DOUBLE

See Also:
  Constant Field Values

#### DYNAMIC_CAST

    public static final String DYNAMIC_CAST

See Also:
  Constant Field Values

#### ELSE

    public static final String ELSE

See Also:
  Constant Field Values

#### ENUM

    public static final String ENUM

See Also:
  Constant Field Values

#### EXPLICIT

    public static final String EXPLICIT

See Also:
  Constant Field Values

#### EXPORT

    public static final String EXPORT

See Also:
  Constant Field Values

#### EXTERN

    public static final String EXTERN

See Also:
  Constant Field Values

#### FALSE

    public static final String FALSE

See Also:
  Constant Field Values

#### FINAL

    public static final String FINAL

Since:
  5.9
See Also:
  Constant Field Values

#### FLOAT

    public static final String FLOAT

See Also:
  Constant Field Values

#### FOR

    public static final String FOR

See Also:
  Constant Field Values

#### FRIEND

    public static final String FRIEND

See Also:
  Constant Field Values

#### GOTO

    public static final String GOTO

See Also:
  Constant Field Values

#### IF

    public static final String IF

See Also:
  Constant Field Values

#### INLINE

    public static final String INLINE

See Also:
  Constant Field Values

#### INT

    public static final String INT

See Also:
  Constant Field Values

#### LONG

    public static final String LONG

See Also:
  Constant Field Values

#### LONG_LONG

    public static final String LONG_LONG

See Also:
  Constant Field Values

#### MUTABLE

    public static final String MUTABLE

See Also:
  Constant Field Values

#### NAMESPACE

    public static final String NAMESPACE

See Also:
  Constant Field Values

#### NULLPTR

    public static final String NULLPTR

Since:
  5.4
See Also:
  Constant Field Values

#### NEW

    public static final String NEW

See Also:
  Constant Field Values

#### NOEXCEPT

    public static final String NOEXCEPT

Since:
  5.4
See Also:
  Constant Field Values

#### NOT

    public static final String NOT

See Also:
  Constant Field Values

#### NOT_EQ

    public static final String NOT_EQ

See Also:
  Constant Field Values

#### OPERATOR

    public static final String OPERATOR

See Also:
  Constant Field Values

#### OR

    public static final String OR

See Also:
  Constant Field Values

#### OR_EQ

    public static final String OR_EQ

See Also:
  Constant Field Values

#### OVERRIDE

    public static final String OVERRIDE

Since:
  5.9
See Also:
  Constant Field Values

#### PRIVATE

    public static final String PRIVATE

See Also:
  Constant Field Values

#### PROTECTED

    public static final String PROTECTED

See Also:
  Constant Field Values

#### PUBLIC

    public static final String PUBLIC

See Also:
  Constant Field Values

#### REGISTER

    public static final String REGISTER

See Also:
  Constant Field Values

#### REINTERPRET_CAST

    public static final String REINTERPRET_CAST

See Also:
  Constant Field Values

#### RESTRICT

    public static final String RESTRICT

See Also:
  Constant Field Values

#### RETURN

    public static final String RETURN

See Also:
  Constant Field Values

#### SHORT

    public static final String SHORT

See Also:
  Constant Field Values

#### SIGNED

    public static final String SIGNED

See Also:
  Constant Field Values

#### SIZEOF

    public static final String SIZEOF

See Also:
  Constant Field Values

#### STATIC

    public static final String STATIC

See Also:
  Constant Field Values

#### STATIC_ASSERT

    public static final String STATIC_ASSERT

Since:
  5.2
See Also:
  Constant Field Values

#### STATIC_CAST

    public static final String STATIC_CAST

See Also:
  Constant Field Values

#### STRUCT

    public static final String STRUCT

See Also:
  Constant Field Values

#### SWITCH

    public static final String SWITCH

See Also:
  Constant Field Values

#### TEMPLATE

    public static final String TEMPLATE

See Also:
  Constant Field Values

#### THIS

    public static final String THIS

See Also:
  Constant Field Values

#### THREAD_LOCAL

    public static final String THREAD_LOCAL

Since:
  5.4
See Also:
  Constant Field Values

#### THROW

    public static final String THROW

See Also:
  Constant Field Values

#### TRUE

    public static final String TRUE

See Also:
  Constant Field Values

#### TRY

    public static final String TRY

See Also:
  Constant Field Values

#### TYPEDEF

    public static final String TYPEDEF

See Also:
  Constant Field Values

#### TYPEID

    public static final String TYPEID

See Also:
  Constant Field Values

#### TYPENAME

    public static final String TYPENAME

See Also:
  Constant Field Values

#### UNION

    public static final String UNION

See Also:
  Constant Field Values

#### UNSIGNED

    public static final String UNSIGNED

See Also:
  Constant Field Values

#### USING

    public static final String USING

See Also:
  Constant Field Values

#### VIRTUAL

    public static final String VIRTUAL

See Also:
  Constant Field Values

#### VOID

    public static final String VOID

See Also:
  Constant Field Values

#### VOLATILE

    public static final String VOLATILE

See Also:
  Constant Field Values

#### WCHAR_T

    public static final String WCHAR_T

See Also:
  Constant Field Values

#### WHILE

    public static final String WHILE

See Also:
  Constant Field Values

#### XOR

    public static final String XOR

See Also:
  Constant Field Values

#### XOR_EQ

    public static final String XOR_EQ

See Also:
  Constant Field Values

#### c_BOOL

    public static final char[] c_BOOL

#### c_COMPLEX

    public static final char[] c_COMPLEX

#### c_IMAGINARY

    public static final char[] c_IMAGINARY

#### c_ALIGNAS

    public static final char[] c_ALIGNAS

Since:
  5.10

#### c_ALIGNOF

    public static final char[] c_ALIGNOF

Since:
  5.10

#### cALIGNAS

    public static final char[] cALIGNAS

Since:
  5.4

#### cALIGNOF

    public static final char[] cALIGNOF

Since:
  5.3

#### cAND

    public static final char[] cAND

#### cAND_EQ

    public static final char[] cAND_EQ

#### cASM

    public static final char[] cASM

#### cAUTO

    public static final char[] cAUTO

#### cBITAND

    public static final char[] cBITAND

#### cBITOR

    public static final char[] cBITOR

#### cBOOL

    public static final char[] cBOOL

#### cBREAK

    public static final char[] cBREAK

#### cCASE

    public static final char[] cCASE

#### cCATCH

    public static final char[] cCATCH

#### cCHAR

    public static final char[] cCHAR

#### cCHAR16_T

    public static final char[] cCHAR16_T

Since:
  5.2

#### cCHAR32_T

    public static final char[] cCHAR32_T

Since:
  5.2

#### cCLASS

    public static final char[] cCLASS

#### cCOMPL

    public static final char[] cCOMPL

#### cCONST

    public static final char[] cCONST

#### cCONSTEXPR

    public static final char[] cCONSTEXPR

Since:
  5.4

#### cCONST_CAST

    public static final char[] cCONST_CAST

#### cCONTINUE

    public static final char[] cCONTINUE

#### cDEFAULT

    public static final char[] cDEFAULT

#### cDECLTYPE

    public static final char[] cDECLTYPE

Since:
  5.2

#### cDELETE

    public static final char[] cDELETE

#### cDO

    public static final char[] cDO

#### cDOUBLE

    public static final char[] cDOUBLE

#### cDYNAMIC_CAST

    public static final char[] cDYNAMIC_CAST

#### cELSE

    public static final char[] cELSE

#### cENUM

    public static final char[] cENUM

#### cEXPLICIT

    public static final char[] cEXPLICIT

#### cEXPORT

    public static final char[] cEXPORT

#### cEXTERN

    public static final char[] cEXTERN

#### cFALSE

    public static final char[] cFALSE

#### cFLOAT

    public static final char[] cFLOAT

#### cFOR

    public static final char[] cFOR

#### cFINAL

    public static final char[] cFINAL

Since:
  5.5

#### cFRIEND

    public static final char[] cFRIEND

#### cGOTO

    public static final char[] cGOTO

#### cIF

    public static final char[] cIF

#### cINLINE

    public static final char[] cINLINE

#### cINT

    public static final char[] cINT

#### cLONG

    public static final char[] cLONG

#### cMUTABLE

    public static final char[] cMUTABLE

#### cNAMESPACE

    public static final char[] cNAMESPACE

#### cNEW

    public static final char[] cNEW

#### cNULLPTR

    public static final char[] cNULLPTR

Since:
  5.4

#### cNOEXCEPT

    public static final char[] cNOEXCEPT

Since:
  5.4

#### cNOT

    public static final char[] cNOT

#### cNOT_EQ

    public static final char[] cNOT_EQ

#### cOPERATOR

    public static final char[] cOPERATOR

#### cOR

    public static final char[] cOR

#### cOR_EQ

    public static final char[] cOR_EQ

#### cOVERRIDE

    public static final char[] cOVERRIDE

Since:
  5.5

#### cPRIVATE

    public static final char[] cPRIVATE

#### cPROTECTED

    public static final char[] cPROTECTED

#### cPUBLIC

    public static final char[] cPUBLIC

#### cREGISTER

    public static final char[] cREGISTER

#### cREINTERPRET_CAST

    public static final char[] cREINTERPRET_CAST

#### cRESTRICT

    public static final char[] cRESTRICT

#### cRETURN

    public static final char[] cRETURN

#### cSHORT

    public static final char[] cSHORT

#### cSIGNED

    public static final char[] cSIGNED

#### cSIZEOF

    public static final char[] cSIZEOF

#### cSIZEOFPACK

    public static final char[] cSIZEOFPACK

Since:
  5.3

#### cSTATIC

    public static final char[] cSTATIC

#### cSTATIC_ASSERT

    public static final char[] cSTATIC_ASSERT

Since:
  5.2

#### cSTATIC_CAST

    public static final char[] cSTATIC_CAST

#### cSTRUCT

    public static final char[] cSTRUCT

#### cSWITCH

    public static final char[] cSWITCH

#### cTEMPLATE

    public static final char[] cTEMPLATE

#### cTHIS

    public static final char[] cTHIS

#### cTHREAD_LOCAL

    public static final char[] cTHREAD_LOCAL

Since:
  5.4

#### cTHROW

    public static final char[] cTHROW

#### cTRUE

    public static final char[] cTRUE

#### cTRY

    public static final char[] cTRY

#### cTYPEDEF

    public static final char[] cTYPEDEF

#### cTYPEID

    public static final char[] cTYPEID

#### cTYPENAME

    public static final char[] cTYPENAME

#### cUNION

    public static final char[] cUNION

#### cUNSIGNED

    public static final char[] cUNSIGNED

#### cUSING

    public static final char[] cUSING

#### cVIRTUAL

    public static final char[] cVIRTUAL

#### cVOID

    public static final char[] cVOID

#### cVOLATILE

    public static final char[] cVOLATILE

#### cWCHAR_T

    public static final char[] cWCHAR_T

#### cWHILE

    public static final char[] cWHILE

#### cXOR

    public static final char[] cXOR

#### cXOR_EQ

    public static final char[] cXOR_EQ

#### cpCOLONCOLON

    public static final char[] cpCOLONCOLON

#### cpCOLON

    public static final char[] cpCOLON

#### cpSEMI

    public static final char[] cpSEMI

#### cpCOMMA

    public static final char[] cpCOMMA

#### cpQUESTION

    public static final char[] cpQUESTION

#### cpLPAREN

    public static final char[] cpLPAREN

#### cpRPAREN

    public static final char[] cpRPAREN

#### cpLBRACKET

    public static final char[] cpLBRACKET

#### cpRBRACKET

    public static final char[] cpRBRACKET

#### cpLBRACE

    public static final char[] cpLBRACE

#### cpRBRACE

    public static final char[] cpRBRACE

#### cpPLUSASSIGN

    public static final char[] cpPLUSASSIGN

#### cpINCR

    public static final char[] cpINCR

#### cpPLUS

    public static final char[] cpPLUS

#### cpMINUSASSIGN

    public static final char[] cpMINUSASSIGN

#### cpDECR

    public static final char[] cpDECR

#### cpARROWSTAR

    public static final char[] cpARROWSTAR

#### cpARROW

    public static final char[] cpARROW

#### cpMINUS

    public static final char[] cpMINUS

#### cpSTARASSIGN

    public static final char[] cpSTARASSIGN

#### cpSTAR

    public static final char[] cpSTAR

#### cpMODASSIGN

    public static final char[] cpMODASSIGN

#### cpMOD

    public static final char[] cpMOD

#### cpXORASSIGN

    public static final char[] cpXORASSIGN

#### cpXOR

    public static final char[] cpXOR

#### cpAMPERASSIGN

    public static final char[] cpAMPERASSIGN

#### cpAND

    public static final char[] cpAND

#### cpAMPER

    public static final char[] cpAMPER

#### cpBITORASSIGN

    public static final char[] cpBITORASSIGN

#### cpOR

    public static final char[] cpOR

#### cpBITOR

    public static final char[] cpBITOR

#### cpCOMPL

    public static final char[] cpCOMPL

#### cpNOTEQUAL

    public static final char[] cpNOTEQUAL

#### cpNOT

    public static final char[] cpNOT

#### cpEQUAL

    public static final char[] cpEQUAL

#### cpASSIGN

    public static final char[] cpASSIGN

#### cpSHIFTL

    public static final char[] cpSHIFTL

#### cpLTEQUAL

    public static final char[] cpLTEQUAL

#### cpLT

    public static final char[] cpLT

#### cpSHIFTRASSIGN

    public static final char[] cpSHIFTRASSIGN

#### cpSHIFTR

    public static final char[] cpSHIFTR

#### cpGTEQUAL

    public static final char[] cpGTEQUAL

#### cpGT

    public static final char[] cpGT

#### cpSHIFTLASSIGN

    public static final char[] cpSHIFTLASSIGN

#### cpELLIPSIS

    public static final char[] cpELLIPSIS

#### cpDOTSTAR

    public static final char[] cpDOTSTAR

#### cpDOT

    public static final char[] cpDOT

#### cpDIVASSIGN

    public static final char[] cpDIVASSIGN

#### cpDIV

    public static final char[] cpDIV

#### cpPOUND

    public static final char[] cpPOUND

#### cpPOUNDPOUND

    public static final char[] cpPOUNDPOUND

#### cpMIN

    public static final char[] cpMIN

#### cpMAX

    public static final char[] cpMAX

#### cIFDEF

    public static final char[] cIFDEF

#### cIFNDEF

    public static final char[] cIFNDEF

#### cELIF

    public static final char[] cELIF

#### cENDIF

    public static final char[] cENDIF

#### cINCLUDE

    public static final char[] cINCLUDE

#### cDEFINE

    public static final char[] cDEFINE

#### cUNDEF

    public static final char[] cUNDEF

#### cERROR

    public static final char[] cERROR

#### cPRAGMA

    public static final char[] cPRAGMA

#### cLINE

    public static final char[] cLINE

#### cDEFINED

    public static final char[] cDEFINED

#### c__HAS_FEATURE

    public static final char[] c__HAS_FEATURE

Since:
  5.11

#### c__HAS_INCLUDE

    public static final char[] c__HAS_INCLUDE

Since:
  7.1

#### c__HAS_INCLUDE_NEXT

    public static final char[] c__HAS_INCLUDE_NEXT

Since:
  7.1

#### _Pragma

    public static final char[] _Pragma

Since:
  5.2

#### cVA_ARGS

    public static final char[] cVA_ARGS

#### cINCLUDE_NEXT

    public static final char[] cINCLUDE_NEXT

#### cIMPORT

    public static final char[] cIMPORT

#### cIDENT

    public static final char[] cIDENT

#### cSCCS

    public static final char[] cSCCS

#### cWARNING

    public static final char[] cWARNING

#### cASSERT

    public static final char[] cASSERT

#### cUNASSERT

    public static final char[] cUNASSERT

### Constructor Detail

#### Keywords

    public Keywords()

### Method Detail

#### addKeywordsC

    public static void addKeywordsC​(CharArrayIntMap kw)

#### addKeywordsCpp

    public static void addKeywordsCpp​(CharArrayIntMap kw)

#### addKeywordsPreprocessor

    public static void addKeywordsPreprocessor​(CharArrayIntMap ppKeywords)